PUT /api/files/{fileId}/places
curl --request PUT \
--url https://app.worksong.ai/api/files/{fileId}/places \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"roomId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"taskId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectKey": "<string>",
"botId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workItemId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expiresInDays": 183
}
'import requests
url = "https://app.worksong.ai/api/files/{fileId}/places"
payload = {
"conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"roomId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"taskId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectKey": "<string>",
"botId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workItemId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expiresInDays": 183
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
conversationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
roomId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
taskId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
projectKey: '<string>',
botId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
workItemId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
expiresInDays: 183
})
};
fetch('https://app.worksong.ai/api/files/{fileId}/places', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.worksong.ai/api/files/{fileId}/places",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'conversationId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'roomId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'taskId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'projectKey' => '<string>',
'botId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'workItemId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'expiresInDays' => 183
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.worksong.ai/api/files/{fileId}/places"
payload := strings.NewReader("{\n \"conversationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"roomId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"taskId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"projectKey\": \"<string>\",\n \"botId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"workItemId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expiresInDays\": 183\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://app.worksong.ai/api/files/{fileId}/places")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"conversationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"roomId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"taskId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"projectKey\": \"<string>\",\n \"botId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"workItemId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expiresInDays\": 183\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.worksong.ai/api/files/{fileId}/places")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"conversationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"roomId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"taskId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"projectKey\": \"<string>\",\n \"botId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"workItemId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expiresInDays\": 183\n}"
response = http.request(request)
puts response.read_body{
"file": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"mimeType": "<string>",
"byteSize": 4503599627370495,
"available": true,
"createdAt": "2023-11-07T05:31:56Z",
"origin": "upload",
"sha256": "<string>",
"madeBy": {
"kind": "person",
"botId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"botName": "<string>",
"source": "web"
},
"places": [
{
"kind": "chat",
"conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"roomId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"taskId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectKey": "<string>",
"botId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"addedByBotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"addedByBotName": "<string>",
"addedAt": "2023-11-07T05:31:56Z",
"linkExpiresAt": "2023-11-07T05:31:56Z",
"origin": false
}
],
"trashedAt": "2023-11-07T05:31:56Z"
},
"link": {
"url": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}
}Files
PUT /api/files/{fileId}/places
The person puts a file in one place (it leaves Trash if it was there).
PUT
/
api
/
files
/
{fileId}
/
places
PUT /api/files/{fileId}/places
curl --request PUT \
--url https://app.worksong.ai/api/files/{fileId}/places \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"roomId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"taskId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectKey": "<string>",
"botId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workItemId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expiresInDays": 183
}
'import requests
url = "https://app.worksong.ai/api/files/{fileId}/places"
payload = {
"conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"roomId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"taskId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectKey": "<string>",
"botId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workItemId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expiresInDays": 183
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
conversationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
roomId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
taskId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
projectKey: '<string>',
botId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
workItemId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
expiresInDays: 183
})
};
fetch('https://app.worksong.ai/api/files/{fileId}/places', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.worksong.ai/api/files/{fileId}/places",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'conversationId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'roomId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'taskId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'projectKey' => '<string>',
'botId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'workItemId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'expiresInDays' => 183
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.worksong.ai/api/files/{fileId}/places"
payload := strings.NewReader("{\n \"conversationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"roomId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"taskId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"projectKey\": \"<string>\",\n \"botId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"workItemId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expiresInDays\": 183\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://app.worksong.ai/api/files/{fileId}/places")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"conversationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"roomId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"taskId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"projectKey\": \"<string>\",\n \"botId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"workItemId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expiresInDays\": 183\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.worksong.ai/api/files/{fileId}/places")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"conversationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"roomId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"taskId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"projectKey\": \"<string>\",\n \"botId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"workItemId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expiresInDays\": 183\n}"
response = http.request(request)
puts response.read_body{
"file": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"mimeType": "<string>",
"byteSize": 4503599627370495,
"available": true,
"createdAt": "2023-11-07T05:31:56Z",
"origin": "upload",
"sha256": "<string>",
"madeBy": {
"kind": "person",
"botId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"botName": "<string>",
"source": "web"
},
"places": [
{
"kind": "chat",
"conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"roomId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"taskId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectKey": "<string>",
"botId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"addedByBotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"addedByBotName": "<string>",
"addedAt": "2023-11-07T05:31:56Z",
"linkExpiresAt": "2023-11-07T05:31:56Z",
"origin": false
}
],
"trashedAt": "2023-11-07T05:31:56Z"
},
"link": {
"url": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Available options:
chat, group, task, project, agent, kept, link, work Required string length:
1 - 120Pattern:
^[\p{L}\p{N}][\p{L}\p{N}._-]*$Required range:
1 <= x <= 365